{
  
  "appId": "com.example.app", 
  "appName": "wallet_app", 
  "webDir": "dist",  

  
  "server": {
    "url": "http://192.168.0.59:5173",  
    "cleartext": true, 
    "allowNavigation": ["*"] 
  },

  "plugins": {
    
    "SplashScreen": {
      "launchShowDuration": 3000, 
      "launchAutoHide": true,
      "backgroundColor": "#ffffffff", 
      "androidScaleType": "CENTER_CROP",
      "showSpinner": false,
      "androidSpinnerStyle": "large", 
      "iosSpinnerStyle": "small", 
      "spinnerColor": "#999999", 
      "splashFullScreen": true, 
      "splashImmersive": true, 
      "androidSplashResourceName": "splash", 
      "useDialog": false 
    },

    "CapacitorAssets": {
      "iconBackgroundColor": "#ffffff"
    },
    "plugins": {
      "PushNotifications": {
        "presentationOptions": ["badge", "sound", "alert"]
      }
    }
  },

  "assets": {
    "splash": {
      "src": "assets/splash.png", 
      "android": true,
      "ios": true 
    }
  },

  
  "ios": {
    "scheme": "App",
    "allowsInlineMediaPlayback": true, 
    "scrollEnabled": true, 
    "preferredContentMode": "Aspect Fit" 
  },

  "android": {
    "allowMixedContent": true, 
    "useLegacyBridge": true 
  }
}
